chibi-ffi(1)

NAME

chibi-ffi - generate C from Scheme stub files

SYNOPSIS
chibi-ffi [-c] [-f cflags ] input.stub [ output.c ]

DESCRIPTION
chibi-ffi reads in the C function FFI definitions from an input file and outputs the appropriate C wrappers into a file with the same base name and the ".c" extension. You can then compile that C file into a shared library:
  chibi-ffi file.stub
  cc -fPIC -shared file.c -lchibi-scheme If the -c option is specified then chibi-ffi attempts to compile the generated C code for you in one step. In this case, additional flags for the C compiler may be given with the -f option. The FFI syntax is described in the manual.

AUTHORS

Alex Shinn (alexshinn @ gmail . com)

SEE ALSO

The chibi-scheme home-page: http://code.google.com/p/chibi-scheme/